package com.loafle.overflow.service.central.infra;

import java.util.List;

import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.core.model.PageParams;
import com.loafle.overflow.model.domain.Domain;
import com.loafle.overflow.model.infra.Infra;
import com.loafle.overflow.model.probe.Probe;
import com.loafle.overflow.model.target.Target;

import org.springframework.data.domain.Page;

/**
 * Created by insanity on 17. 6. 28.
 */

public interface InfraService {
  Infra regist(Infra infra) throws OverflowException;
  Infra read(long id) throws OverflowException;
  Page<Infra> readAllByProbe(Probe probe, PageParams pageParams) throws OverflowException;
  Page<Infra> readAllByDomain(Domain domain, PageParams pageParams) throws OverflowException;
  List<Target> readAllTargetByDomain(Domain domain) throws OverflowException;
  List<Target> readAllTargetByProbeList(List<Probe> probeList) throws OverflowException;
  Infra readByTarget(Target target) throws OverflowException;
}
